﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek MSO Read Digital Data VISA
DATE:                  2018-04-24 07:43:10
AUTHOR:                Fluke
REVISION:              $Revision: 23449 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       79
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models Covered:
#        MSO2000, MSO2000B Series
#        MSO3000 Series
#        MDO3000 Series
#        MSO4000, MSO4000B Series
#        MDO4000, MDO4000B Series
#        MSO5000 Series
#
#  Compatibility:
#        MET/VER 8.0 or later
#
#  Additional Equipment Required:
#        Digital Test Probe
#          MSO2000B Series
#        Digital Calibration Fixture (PN 174-4535-00)
#          MSO4000 Series
#        TCFA074 Digital Calibration Fixture (PN 067-2121-00)
#          MSO4000B Series
#          MDO4000 Series
#          MSO5000 Series
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Memory Register Usage:
#
#    M[100] - M[115]:  Channel state (0 or 1)
#    M[160] - M[175]:  Average transition voltage found (0 or 1)
#
#    @iState: Index offset to access channel state in M registers.
#    @iFound: Index offset to access voltage found in M registers.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  VISA         CURV?[I$]
  1.002  MATH         @Hex = MEM2
  1.003  CALL         Sub Hex to Decimal
  1.004  MATH         Ch = 0

  1.005  DO
  1.006  MATH         MSET((Ch + @iState), BIT(Ch,  @Decimal))
  1.007  MATH         Ch = Ch + 1
  1.008  UNTIL        Ch > 15

# Determine the overall treshold voltage found state of D15 through D0.
  1.009  MATH         Ch = 0
  1.010  MATH         @FoundVoltages = MGET(Ch + @iFound)
  1.011  MATH         Ch = 1

  1.012  DO
  1.013  MATH         @FoundVoltages = @FoundVoltages && MGET(Ch + @iFound)
  1.014  MATH         Ch = Ch + 1
  1.015  UNTIL        Ch > 15

  1.016  END
